Subject: RE: linking cygwin built dll with Borland C++Builder
From: "Robert Collins" <[email-masked]>
To: "Dennis Jarosch" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 23 May 2002 20:51:17 +1000

> -----Original Message-----
> From: Dennis Jarosch [mailto:[email-masked]] 
> Sent: Thursday, May 23, 2002 8:46 PM
> To: Robert Collins
> Cc: [email-masked]
> Subject: Re: linking cygwin built dll with Borland C++Builder
> 
> 
> Hi Rob!
> 
> Robert Collins wrote:
> > Mixing C++ between compilers generally doesn't work. See 
> the c++-faq 
> > lite for more details.
> > 
> > Rob
> 
> Maybe I just misunderstood you, but the lib/dll consists of 
> pure C-code, 
> no C++ involved. Of course my Wrapper uses C++ code, but I am not 
> linking any C++ code from gcc!

Oh. Well there are some examples in the archives IIRC. I don't have
borland C so I can't test this for comparison. You should get the lib to
allocate and free it's own memory though, that should address some of
your problems.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/